# Class AwtFileHelper

java.lang.Object
jspecview.java.AwtFileHelper

All Implemented Interfaces:
  `JSVFileHelper`

public class AwtFileHelper extends Object implements JSVFileHelper

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`dirLastExported`
`String`
`dirLastOpened`
`boolean`
`useDirLastExported`
`boolean`
`useDirLastOpened`

## Constructor Summary

Constructors
Constructor
Description
`AwtFileHelper()`

## Method Summary

Modifier and Type
Method
Description
`GenericFileInterface`
`getFile(String name, Object panelOrFrame, boolean isSave)`
`String`
`getUrlFromDialog(String info, String msg)`
`AwtFileHelper`
`set(JSViewer viewer)`
`String`
`setDirLastExported(String name)`
`void`
`setFileChooser(ExportType imode)`
`GenericFileInterface`
`showFileOpenDialog(Object panelOrFrame, Object[] userData)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### dirLastOpened

public String dirLastOpened

### useDirLastOpened

public boolean useDirLastOpened

### useDirLastExported

public boolean useDirLastExported

### dirLastExported

public String dirLastExported

## Constructor Details

### AwtFileHelper

public AwtFileHelper()

## Method Details

### set

public AwtFileHelper set(JSViewer viewer)

Specified by:
  `set` in interface `JSVFileHelper`

### setFileChooser

public void setFileChooser(ExportType imode)

Specified by:
  `setFileChooser` in interface `JSVFileHelper`

### showFileOpenDialog

public GenericFileInterface showFileOpenDialog(Object panelOrFrame, Object[] userData)

Specified by:
  `showFileOpenDialog` in interface `JSVFileHelper`

### getFile

public GenericFileInterface getFile(String name, Object panelOrFrame, boolean isSave)

Specified by:
  `getFile` in interface `JSVFileHelper`

### setDirLastExported

public String setDirLastExported(String name)

Specified by:
  `setDirLastExported` in interface `JSVFileHelper`

### getUrlFromDialog

public String getUrlFromDialog(String info, String msg)

Specified by:
  `getUrlFromDialog` in interface `JSVFileHelper`